#include "stdafx.h"
#include "HLinkTest.h"
#include "HLinkTestDlg.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

CHLinkTestDlg::CHLinkTestDlg(CWnd* pParent /*=NULL*/)
	: CDialog(CHLinkTestDlg::IDD, pParent)
{
	//{{AFX_DATA_INIT(CHLinkTestDlg)
	//}}AFX_DATA_INIT
	m_hIcon = AfxGetApp()->LoadIcon(IDR_MAINFRAME);
}

void CHLinkTestDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CHLinkTestDlg)
	DDX_Control(pDX, IDC_WEB, m_ctrlWeb);
	DDX_Control(pDX, IDC_EMAIL, m_ctrlEmail);
	//}}AFX_DATA_MAP
}

BEGIN_MESSAGE_MAP(CHLinkTestDlg, CDialog)
	//{{AFX_MSG_MAP(CHLinkTestDlg)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()


BOOL CHLinkTestDlg::OnInitDialog()
{
	CDialog::OnInitDialog();

	SetIcon(m_hIcon, TRUE);
	SetIcon(m_hIcon, FALSE);

  //Create the 2 hyperlink controls
  m_ctrlWeb.SetHyperLink(_T("http://indigo.ie/~pjn"), _T("Visit the authors web site"), TRUE);
  m_ctrlEmail.SetHyperLink(_T("mailto:pjn@indigo.ie"), _T("Email the author"), TRUE);

  //Make the hyperlinks bold (Just as some example 
  //code of using methods CHLinkCtrl inherits from its
  //parent classes CEdit & CWnd)
  CFont* pOldFont = m_ctrlWeb.GetFont();
  LOGFONT lFont;
  pOldFont->GetLogFont(&lFont);
  lFont.lfWeight = FW_BOLD;
  CFont newWebFont;
  newWebFont.CreateFontIndirect(&lFont);
  m_ctrlWeb.SetFont(&newWebFont);

  pOldFont = m_ctrlEmail.GetFont();
  pOldFont->GetLogFont(&lFont);
  lFont.lfWeight = FW_BOLD;
  CFont newEmailFont;
  newEmailFont.CreateFontIndirect(&lFont);
  m_ctrlEmail.SetFont(&newEmailFont);
	
	return TRUE;
}



